Blockchain Group SA

Company API endpoints for Bitcoin treasury, holdings, price, profile, and performance data.

How to call

Request format

GET
curl -X GET "https://newhedge.io/api/v2/companies/blockchain-group-sa/METRIC_NAME?api_token=YOUR_TOKEN"
Query params

api_token (required) — 24 character token.

Path params

:metric_name — one of the company metric names listed below.

Responses

200 with JSON payload, 401 for missing/invalid token, 404 for missing resources.

Metrics

Each company metric is fetched independently.

7 metrics
Metric

Bitcoin Acquisitions

Bitcoin acquisition history for the company.

Endpoint
https://newhedge.io/api/v2/companies/blockchain-group-sa/bitcoin-acquisitions?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  {
    "date": 1776643200000,
    "type": "buy",
    "coin_id": "bitcoin",
    "source_url": "https://cptlb.com/wp-content/uploads/2026/04/0le1oybCCm/20260420-TBG-CP-20-avr-2026-EN-FINAL.pdf",
    "holding_balance": 2937.0,
    "holding_net_change": 12.0,
    "transaction_value_usd": 935524.0,
    "average_entry_value_usd": 77960.33,
    "transaction_value_calculated": false
  },
  {
    "date": 1777248000000,
    "type": "buy",
    "coin_id": "bitcoin",
    "source_url": "https://cptlb.com/wp-content/uploads/2026/04/muadRWzQS2/20260427-TBG-CP-27-avr-2026-EN-FINAL.pdf",
    "holding_balance": 2943.0,
    "holding_net_change": 6.0,
    "transaction_value_usd": 467762.0,
    "average_entry_value_usd": 77960.33,
    "transaction_value_calculated": false
  },
  {
    "date": 1779062400000,
    "type": "buy",
    "coin_id": "bitcoin",
    "source_url": "https://cptlb.com/wp-content/uploads/2026/05/YwSyJycHQh/20260518-TBG-CP-18-mai-2026-EN-FINAL.pdf",
    "holding_balance": 3135.0,
    "holding_net_change": 192.0,
    "transaction_value_usd": 15160394.88,
    "average_entry_value_usd": 78960.39,
    "transaction_value_calculated": false
  }
]
Metric

Bitcoin Holdings

Historical Bitcoin holdings for the company.

Endpoint
https://newhedge.io/api/v2/companies/blockchain-group-sa/bitcoin-holdings?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  [
    1778976000000,
    2943.0
  ],
  [
    1779062400000,
    3135.0
  ],
  [
    1779148800000,
    3135.0
  ]
]
Metric

Bitcoin Holdings USD

Historical USD value of the company's Bitcoin holdings.

Endpoint
https://newhedge.io/api/v2/companies/blockchain-group-sa/bitcoin-holdings-usd?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  [
    1778976000000,
    227876077.98
  ],
  [
    1779062400000,
    241220286.45
  ],
  [
    1779148800000,
    240642631.35
  ]
]
Metric

Price Data

Historical market price data stored on the company profile.

Endpoint
https://newhedge.io/api/v2/companies/blockchain-group-sa/price-data?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  {
    "low": 2.64,
    "date": "2025-07-28",
    "high": 2.96,
    "open": 2.82,
    "close": 2.865,
    "volume": 2001754
  },
  {
    "low": 2.58,
    "date": "2025-07-29",
    "high": 2.89,
    "open": 2.87,
    "close": 2.66,
    "volume": 2145225
  },
  {
    "low": 2.445,
    "date": "2025-07-30",
    "high": 2.9,
    "open": 2.645,
    "close": 2.875,
    "volume": 4373942
  }
]
Metric

Company Data

Company profile, fundamentals, and related reference data.

Endpoint
https://newhedge.io/api/v2/companies/blockchain-group-sa/company-data?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "eps_estimate_next_quarter": 0,
  "quarterly_earnings_growth": -0.555,
  "eps_estimate_current_quarter": 0
}
Metric

Performance Metrics

Calculated performance metrics for the company.

Endpoint
https://newhedge.io/api/v2/companies/blockchain-group-sa/performance-metrics?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "one_month_return": -34.06,
  "six_month_return": 455.02,
  "three_month_return": 162.99
}
Metric

Treasury Metrics

Bitcoin treasury summary metrics for the company.

Endpoint
https://newhedge.io/api/v2/companies/blockchain-group-sa/treasury-metrics?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "btc_percent_company": 53.4,
  "total_btc_percentage": 0.015,
  "share_price_change_state": "down"
}